// Okay so this is actually a hack but at least it works.
// The small amount of extra overhead/object count is vastly preferable to most people
//  than having to replace every water brick manually when loading. Especially now
//  that we can build in them, they are likely to see a lot more use.

// Note: If making your own water bricks please set .waterBrickForce on the datablocks if
//  they are meant to push the player, for loading purposes.

if($AddOn__Brick_Large_Cubes == 1 && !isObject(Brick8xWaterData))
{
	forceRequiredAddon("Brick_Large_Cubes");
}

package WaterLoad
{
	function fxDTSbrick::onPlant(%brick)
	{
		Parent::onPlant(%brick);
		%db = %brick.getDatablock();
		if(%db.isWaterBrick && isObject($LoadingBricks_Client))
		{
			if(isObject(%brick.physicalZone))
			{
				%brick.physicalZone.delete();
			}
			%brick.createWaterZone();
			if(%db.waterBrickForce > 0)
			{
				%brick.physicalZone.setAppliedForce(vectorScale(%brick.getForwardVector(),%db.waterBrickForce));
			}
		}
	}
};
activatePackage(WaterLoad);

brick8xWaterRiverData.waterBrickForce = 1000;
brick8xWaterRapidsData.waterBrickForce = 3000;